RK-J - Task #2583
Feature # 2560 (Closed): Enable link update of a "link updated" book

Update data-source attribute during overwrite ingestion.
08/08/2022 12:23 PM - Ayush Khandelwal

Status: Closed Start date: 08/08/2022
Priority: Urgent Due date: 08/09/2022
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Update source-url attribute and lurl from the newDoc during overwrite (preserve old-internal-link
during overwrite) .
— If(old-document having internal links):

- Map<Data-source, Internal-links> map = fetch all internal links.

- for (new—o—-url : new-ourl-document-links) :
- if (map.contains (new-o-url)) :
- replace o-url with l-url and also add the data-source.
- else:
- do link update for the new-o-url

History

#1 - 08/09/2022 05:39 AM - Venmuhilan B

- Status changed from New to In Progress

#2 - 08/09/2022 08:46 AM - Ayush Khandelwal
- Description updated

#3 - 08/09/2022 11:48 AM - Venmuhilan B
- % Done changed from 0 to 90

#4 - 08/09/2022 04:14 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#5 - 08/10/2022 01:31 PM - Ayush Khandelwal
- Status changed from Resolved to Reopened

- % Done changed from 100 to 60

#6 - 08/10/2022 02:38 PM - Venmuhilan B

- Status changed from Reopened to In Progress

#7 - 08/11/2022 01:41 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 60 to 100

#8 - 09/19/2022 01:32 PM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#9 - 10/11/2022 05:38 AM - Ayush Khandelwal
- Status changed from Feedback to Closed
